void drawTarget(PVector pos) { // Draws a cross on top of the target
  noFill();
  stroke(255);
  line(pos.x-10, pos.y, pos.x+10, pos.y);
  line(pos.x, pos.y-10, pos.x, pos.y+10);
  ellipse(pos.x, pos.y, 6, 6);
}

boolean button(float px, float py, int rad, String text) { // Draws a button which returns true when pressed 

  pushStyle();
  noFill();
  stroke(150);
  strokeWeight(0.7);
  ellipse(px, py, rad, rad);
  popStyle();

  boolean pressed = false;

  PVector mouse = new PVector(mouseX, mouseY);
  PVector button = new PVector(px, py);

  if (mouse.dist(button) < rad/2) {
    fill(175);
    ellipse(px, py, rad, rad);
    if (mousePressed) pressed = true;
  } else  pressed = false;

  fill(0);
  text(text, px, py-2);

  return pressed;
}

void reset() { // Resets the program
  threshold = 20;
  programState = 'A';
  weight = " ";
  name = " ";

  leftColour = color(255, 0, 0);
  rightColour = color(255, 0, 0);

  leftMarker = new PVector(0, 0, 0);
  rightMarker = new PVector(0, 0, 0);

  leftStart = new PVector(0, 0, 0);
  rightStart = new PVector(0, 0, 0);

  rightDef = 0;
  leftDef = 0;

  saveCount = 0;
  rectMode(CENTER);
}

void displayForce(float bX, float bY, float force) { // Displays a bar chart for the force
  pushMatrix();
  rectMode(CORNER);
  noStroke();
  fill(force, 0, 0, force);
  translate(bX+30, bY);
  rotate(PI);
  rect(0, 0, 30, force);
  popMatrix();

  pushStyle();
  textAlign(LEFT);
  textSize(14);
  text("Avg. Def: " + nfc(deflection, 2), bX+40, bY);
  popStyle();

  stroke(150);
  for (int i = 0; i <= 250; i += 5) {
    if (i%50 == 0) line(bX-10, bY-i, bX-30, bY-i);
    else line(bX-10, bY-i, bX-20, bY-i);
  }
}