PVector findMarker(PImage pin, int thresh, int startX, int endX, color target) { // Find a the marker in the image

  PVector pos = new PVector(0, 0);
  int countX = 0;
  int countY = 0;
  int pixCount = 1;

  int targetR = (target  >> 16) & 0xff;
  int targetG = (target  >> 8) & 0xff;
  int targetB = target  & 0xff;

  for ( int x = startX; x < endX; x++) {
    for ( int y = 0; y < pin.height; y++) {

      color current = pin.pixels[y*pin.width+x];
      // now we split the pixel color into r,g,b
      int curR = (current >> 16) & 0xff;
      int curG = (current >> 8) & 0xff;
      int curB = current & 0xff;
      // if the pixel is more or less like the target value
      if (curR <= targetR+thresh && curR >= targetR-thresh 
        && curG <= targetG+thresh && curG >= targetG-thresh 
        && curB <= targetB+thresh && curB >= targetB-thresh) {
        countX += x;
        countY += y;
        pixCount ++;
      }
    }
  }

  pos.x = countX / pixCount;
  pos.y = countY / pixCount;

  return pos;
}